#include<bits/stdc++.h>
using namespace std;
void solve(int x1,int y1,int x2,int y2,int a,int b) {
    int razX=abs(x1-x2);
    int razY=abs(y1-y2);
    int brX=a-razX+1;
    int brY=b-razY+1;
    int ans=brX*brY;
    if(brX<0 || brY<0) ans=0;
    if(x1>=0 && x1<=a && x2>=0 && x2<=a && y1>=0 && y1<=b && y2>=0 && y2<=b) {
        ans--;
    }
    cout<<ans<<"\n";
}
int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int t;
    cin>>t;
    for(int i=0;i<t;i++) {
        int x1,y1,x2,y2,a,b;
        cin>>x1>>y1>>x2>>y2>>a>>b;
        solve(x1,y1,x2,y2,a,b);
    }
    return 0;
}
